#
# (c) 2003, 2004 Quintagroup. http://quintagroup.com/
#     Myroslav Opyr <myroslav@quintagroup.com>
#
from Products.CMFCore.utils import getToolByName
from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.RelatedBoxes.config import *

from StringIO import StringIO

def install_navigation(self):
    nav_tool = getToolByName(self, 'portal_navigation')

    #Generic Edit
    for script in ['add_related_box', 'delete_related_boxes', 'movetop_related_boxes']:
        nav_tool.addTransitionFor('default', script, 'failure', 'url:related_boxes_form')
        nav_tool.addTransitionFor('default', script, 'success', 'url:related_boxes_form')

def install_slots(self):
    slotpath='here/portlet_related_boxes/macros/portlet'

    portal = getToolByName(self,'portal_url').getPortalObject()
    try: #try to install the slot (bare except, because it will fail on bare CMF)
        if not slotpath in portal.right_slots:
            portal.right_slots = list(portal.right_slots) + [slotpath,]
    except: 
        pass

def install_actions(self):
    #add Plone tab
    actions_tool = getToolByName(self, 'portal_actions')
    actions_tool.addAction('related_boxes','Related Boxes','string:${object_url}/related_boxes_form','', MODIFY_CONTENT_PERMISSION,'object')


def install(self):
    out = StringIO()

    installTypes(self, out,
                 listTypes(PROJECTNAME),
                 PROJECTNAME)

    install_subskin(self, out, GLOBALS)
    install_navigation(self)
    install_slots(self)
    install_actions(self)

    print >> out, "Successfully installed %s." % PROJECTNAME
    return out.getvalue()

