#
# (c) 2003 Quintagroup. http://quintagroup.com/
#     Myroslav Opyr <myroslav@quintagroup.com>
#
from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField, TextField
from Products.Archetypes.public import ImageField
from Products.Archetypes.public import SelectionWidget, TextAreaWidget
from Products.Archetypes.public import StringWidget, ImageWidget
from Products.Archetypes.public import RichWidget, VisualWidget
from Products.Archetypes.public import BaseContent, registerType
from Products.Archetypes.Marshall import RFC822Marshaller

from Products.CMFCore import CMFCorePermissions

schema = BaseSchema + Schema((
    StringField('url',
                widget=StringWidget(label_msgid="label_url",
                                    description_msgid="help_url",
                                    i18n_domain="plone")
               ),
    ImageField('illustration',
                widget=ImageWidget(label_msgid="label_illustration",
                                   description_msgid="help_illustration",
                                   i18n_domain="relatedbox")
               ),

    TextField('body',
              primary = 1,
              default_output_type = 'text/html',
              allowable_content_types = ('text/structured', 'text/html', 'text/plain', 'text/xml'),
              searchable=1,
              widget=VisualWidget(label_msgid="label_body",
                                  description_msgid="help_body",
                                  i18n_domain="plone")
              ),
    ),
    marshall = RFC822Marshaller())

class RelatedBox(BaseContent):
    """Related Box Archetype."""

    schema = schema


registerType(RelatedBox)
